Get Learning Metrics
GET
/api/canvas/teams/{team_id}/learning-metrics
const url = 'https://example.com/api/canvas/teams/example/learning-metrics?deal_id=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/canvas/teams/example/learning-metrics?deal_id=example' \ --header 'Authorization: Bearer <token>'Team-scoped learning metrics for edit reduction tracking.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” team_id
required
Team Id
string
Query Parameters
Section titled “Query Parameters ” deal_id
required
Deal Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}